import { get, put, post, deletes } from '@/http/index'

// 查询数据解析列表
export const getDataAnalysis = async (data) => {
  return await get('/als/dataAnalysis/list', data)
}

// 新增数据解析
export const addDataAnalysis = async (data) => {
  return await post('/als/dataAnalysis', data)
}

// 修改数据解析
export const updateDataAnalysis = async (data) => {
  return await put('/als/dataAnalysis', data)
}

// 删除数据解析
export const removeDataAnalysis = async (id) => {
  return await deletes('/als/dataAnalysis/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
